﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub WR6000 (1 yr) Input Noise VER IEEE
DATE:                  2007-10-04 07:21:08
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       165
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        WaveRunner 6030, 6050, 6051, 6100, and 6200
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Global Variables Used:
#
#    @Chan
#      This register specifies which channel of the WaveRunner 6000 series
#      oscilloscope is currently being tested.
#        @Chan = 1 (Channel 1)
#        @Chan = 2 (Channel 2)
#        @Chan = 3 (Channel 3)
#        @Chan = 4 (Channel 4)
#        @Chan = 5 (EXT input)
#
#    @BW_MHz
#      This register specifies the Bandwidth of the WaveRunner 6000 series
#      oscilloscope being tested.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Disable TUR checking for these tests.
  1.001  ASK-                              U

  1.002  RSLT         =
  1.003  RSLT         =Channel [V @Chan]
  1.004  RSLT         =
  1.005  TARGET

# Clear all parameters, turn channel 1 & 2 traces to off.
  1.006  IEEE2        PACL;C1:TRA OFF;C2:TRA OFF
# Set <selected channel> trace on, coupling 50 Ohm DC, 10 mV/div, 0 V offset.
  1.007  IEEE2        C[V @Chan]:TRA ON;CPL D50;VDIV 10e-3;OFST 0V
# Trigger Mode, Auto, Sample size 100k.
  1.008  IEEE2        TRMD AUTO;MSIZ 100K
# Select measurement parameters.
  1.009  IEEE2        CRMS CUST,STAT
# Clear all parameters.
  1.010  IEEE2        PACL
  1.011  IEEE2        PACU 1,SDEV,C[V @Chan]
# Trigger Select, Edge, Source, <selected channel>, Trig Slope, +, DC.
  1.012  IEEE2        TRSE EDGE,SR,C[V @Chan];C[V @Chan]:TRSL POS;TRCP DC

  1.013  HEAD         CH[V @Chan] PEAK-PEAK NOISE (DC, 50 Ohms): 1 µs/div
  1.014  TSET         TDESC = DC, 50 Ohms, 1 µs/div
  1.015  TARGET       -p
  1.016  IEEE2        TDIV 1e-6
  1.017  TARGET       -m
# Clear existin sweeps and data and restart measuring sequence.
  1.018  IEEE2        CLSW
# Wait 5 sec. for UUT to make approx. 50 sweeps.
  1.019  WAIT         -t 5 Measuring UUT peak-to-peak noise floor...
# Query UUT for peak-to-peak value.
  1.020  IEEE         C[V @Chan]:PAVA? PKPK[I$]
# Parse measured value from string; divide by 1E+3 for proper units (mV).
  1.021  MATH         MEM = (FLD(MEM2, 2, ",")) / 1E-3
  1.022  MEMCX        0.000mV        7.5U

  2.001  HEAD         CH[V @Chan] PEAK-PEAK NOISE (DC, 50 Ohms): 1 ms/div
  2.002  TSET         TDESC = DC, 50 Ohms, 1 ms/div
  2.003  IEEE2        TDIV 1e-3
  2.004  TARGET       -m
  2.005  IEEE2        CLSW
  2.006  WAIT         -t 5 Measuring UUT peak-to-peak noise floor...
  2.007  IEEE         C[V @Chan]:PAVA? PKPK[I$]
  2.008  MATH         MEM = (FLD(MEM2, 2, ",")) / 1E-3
  2.009  MEMCX        0.000mV        7.5U

  3.001  HEAD         CH[V @Chan] PEAK-PEAK NOISE (DC, 1 MOhm): 1 µs/div
  3.002  TSET         TDESC = DC, 1 MOhm, 1 µs/div
  3.003  IEEE2        C[V @Chan]:TRA ON;CPL D1M;VDIV 10e-3;OFST 0V
  3.004  IEEE2        TDIV 1e-6
  3.005  TARGET       -m
  3.006  IEEE2        CLSW
  3.007  WAIT         -t 5 Measuring UUT peak-to-peak noise floor...
  3.008  IEEE         C[V @Chan]:PAVA? PKPK[I$]
  3.009  MATH         MEM = (FLD(MEM2, 2, ",")) / 1E-3
  3.010  MEMCX        0.000mV        7.5U

  4.001  HEAD         CH[V @Chan] PEAK-PEAK NOISE (DC, 1 MOhm): 1 ms/div
  4.002  TSET         TDESC = DC, 1 MOhm, 1 ms/div
  4.003  IEEE2        TDIV 1e-3
  4.004  TARGET       -m
  4.005  IEEE2        CLSW
  4.006  WAIT         -t 5 Measuring UUT peak-to-peak noise floor...
  4.007  IEEE         C[V @Chan]:PAVA? PKPK[I$]
  4.008  MATH         MEM = (FLD(MEM2, 2, ",")) / 1E-3
  4.009  MEMCX        0.000mV        7.5U

# If UUT bandwidth is 1 GHz or greater and selected channel is Ch. 1 or 2,
# perform the following tests.
  5.001  IF           (@Chan < 3) && (@BW_MHz >= 1000)
# Add two to currently specified channel to designate second channel.
  5.002  MATH         L[1] = @Chan + 2

  5.003  IF           (@Chan == 1)
# If Ch. 1 selected, turn on Ch. 3, 10 mV/div, "Active Channels" to Auto.
  5.004  IEEE2        C3:TRA ON;C3:VDIV 10e-3;COMB AUTO
  5.005  RSLT         =
  5.006  RSLT         = 2 Channel Mode, 10 GS/s, Ch. 1 & Ch. 3
  5.007  HEAD         CH1 & CH3 PEAK-PEAK NOISE (DC, 50 Ohms): 500 ns/div
  5.008  ELSEIF       (@Chan == 2)
# If Ch. 2 selected, turn on Ch. 4, 10 mV/div, "Active Channels" to Auto.
  5.009  IEEE2        C4:TRA ON;C4:VDIV 10e-3;COMB AUTO
  5.010  RSLT         =
  5.011  RSLT         = 2 Channel Mode, 10 GS/s, Ch. 2 & Ch. 4
  5.012  HEAD         CH2 & CH4 PEAK-PEAK NOISE (DC, 50 Ohms): 500 ns/div
  5.013  ENDIF

  5.014  TARGET       -p
  5.015  TSET         TDESC = DC, 50 Ohms, 500 ns/div, Ch. [V @Chan]
  5.016  IEEE2        TDIV 500e-9
  5.017  TARGET       -m
  5.018  IEEE2        CLSW
  5.019  WAIT         -t 5 Measuring UUT peak-to-peak noise floor...
  5.020  IEEE         C[V @Chan]:PAVA? PKPK[I$]
  5.021  MATH         MEM = (FLD(MEM2, 2, ",")) / 1E-3
  5.022  MEMCX        0.000mV        7.5U

  6.001  HEAD         PEAK-PEAK NOISE (CH[V @Chan]): 500 ns/div, DC, 50 Ohms
  6.002  TSET         TDESC = DC, 50 Ohms, 500 ns/div, Ch. [L1]
  6.003  IEEE2        TDIV 500e-9
  6.004  TARGET       -m
  6.005  IEEE2        CLSW
  6.006  WAIT         -t 5 Measuring UUT peak-to-peak noise floor...
  6.007  IEEE         C[L1]:PAVA? PKPK[I$]
  6.008  MATH         MEM = (FLD(MEM2, 2, ",")) / 1E-3
  6.009  MEMCX        0.000mV        7.5U
  7.001  ENDIF

  7.002  LABEL        END
  7.003  IEEE2        *RST
  7.004  ASK+                              U
  7.005  END
