﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub WR6000 (1 yr) Trig Level VER IEEE /9500
DATE:                  2007-10-03 07:40:08
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       192
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        WaveRunner 6030, 6050, 6051, 6100, and 6200
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Global Numeric Registers Used:
#
#    @Chan
#      This register specifies which channel of the WaveRunner 6000 series
#      oscilloscope is currently being tested.
#        @Chan = 1 (Channel 1)
#        @Chan = 2 (Channel 2)
#        @Chan = 3 (Channel 3)
#        @Chan = 4 (Channel 4)
#        @Chan = 5 (EXT input)
#
#    @NumChan
#      This register specifies the number of channels the WaveRunner 6000
#      series oscilloscope has.
#
#    @Ch1 - @Ch2
#      Trace On/Off information as determined in sub, "Sub WaveRunner 6000
#      Select Channel".
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# TUR checking turned off because measured slope value not related to 9500
# output amplitude accuracy.
  1.001  ASK-                              U

  1.002  RSLT         =
  1.003  RSLT         =Channel [V @Chan]
  1.004  RSLT         =
  1.005  TARGET

# Communication Header to Off.
  1.006  IEEE2        CHDR OFF
# Clear all current parameters; turn Ch. 1 and Ch. 2 traces off.
  1.007  IEEE2        PACL;C1:TRA OFF;C2:TRA OFF

# Set channel(s) ON/OFF based on sub, "Sub WaveRunner 6k Four Channel Select".
  1.008  IEEE2        F1:TRA [V @Ch1]
  1.009  IEEE2        F2:TRA [V @Ch2]
  1.010  IEEE2        F3:TRA [V @Ch3]
  1.011  IEEE2        F4:TRA [V @Ch4]
# Set <selected channel> to input coupling to 50 ohms, 100 mV/div.
  1.012  IEEE2        C[V @Chan]:CPL D50;C[V @Chan]:VDIV 100E-3
# Set <selected channel> to offset to 0 V.
  1.013  IEEE2        C[V @Chan]:OFST 0V
# Trigger Mode to Auto; Trigger Delay to 50%; Time/Div to 1 µs.
  1.014  IEEE2        TRMD AUTO;TRDL 50;TDIV 1E-6
  1.015  IEEE2        F1:DEF EQN,'AVG(C1)',SWEEPS,100
  1.016  IEEE2        F2:DEF EQN,'AVG(C2)',SWEEPS,100

  1.017  IF           @NumChan > 2
  1.018  IEEE2        F3:DEF EQN,'AVG(C3)',SWEEPS,100
  1.019  IEEE2        F4:DEF EQN,'AVG(C4)',SWEEPS,100
  1.020  ENDIF

# Select Cursor Measure, Horizontal Absolute.
  1.021  IEEE2        CRMS HABS

  1.022  IF           @Chan == 1
  1.023  MATH         MeasFunc = "F1"
  1.024  ELSEIF       @Chan == 2
  1.025  MATH         MeasFunc = "F2"
  1.026  ELSEIF       @Chan == 3
  1.027  MATH         MeasFunc = "F3"
  1.028  ELSEIF       @Chan == 4
  1.029  MATH         MeasFunc = "F4"
  1.030  ELSE
  1.031  DISP         Unable to determine number of UUT channels!
  1.031  DISP
  1.031  DISP         Press Advance" to terminate the Trigger
  1.031  DISP         Level test.
  1.032  END
  1.033  ENDIF

  1.034  HEAD         CH[V @Chan] TRIGGER LEVEL: +Slope, DC, 0 mV threshold
  1.035  TSET         TDESC = 0 mV, +Slope
  1.036  TARGET       -p
# Set Cursor Set for Horizontal Absolute, 5 divisions (mid-screen).
  1.037  IEEE2        [V MeasFunc]:CRST HABS,5DIV
# Trigger Select, Edge, Source, <selected channel>, Slope, Positive.
  1.038  IEEE2        TRSE EDGE,SR,C[V @Chan];C[V @Chan]:TRSL POS
# <Selected channel> Trigger Coupling, DC, Trigger Level, 0 V.
  1.039  IEEE2        C[V @Chan]:TRCP DC;C[V @Chan]:TRLV 0.0V
  1.040  9500         720.0mVpp                    100kH          LS    S  L
# Clear Sweeps.
  1.041  IEEE2        CLSW
  1.042  WAIT         -t 2 Making UUT Trigger threshold measurement...
# Retrieve <selected function> cursor value(s).
  1.043  IEEE         [V MeasFunc]:CRVA?[I$]
# Parse trigger level voltage from UUT response.
  1.044  MATH         MEM = FLD(MEM2, 3, ",") ; MEM = MEM * 1E+3
  1.045  MEMCX        0.0mV          44.0U

  2.001  HEAD         CH[V @Chan] TRIGGER LEVEL: -Slope, DC, 0 mV threshold
  2.002  TSET         TDESC = 0 mV, -Slope
  2.003  TARGET       -p
  2.004  IEEE2        C[V @Chan]:TRSL NEG
  2.005  9500         720.0mVpp                    100kH          LS    S  L
  2.006  IEEE2        CLSW
  2.007  WAIT         -t 2 Making UUT Trigger threshold measurement...
  2.008  IEEE         [V MeasFunc]:CRVA?[I$]
  2.009  MATH         MEM = FLD(MEM2, 3, ",") ; MEM = MEM * 1E+3
  2.010  MEMCX        0.0mV          44.0U

  3.001  MATH         L[1] = @Chan
  3.002  RSLT         =
  3.003  HEAD         CH[L1] TRIGGER LEVEL: +Slope, DC, +2.5 div. threshold
  3.004  TSET         TDESC = +250 mV, +Slope
  3.005  TARGET       -p
  3.006  IEEE2        C[V @Chan]:TRSL POS;C[V @Chan]:TRLV 0.25V
  3.007  9500         720.0mVpp                    100kH          LS    S  L
  3.008  IEEE2        CLSW
  3.009  WAIT         -t 2 Making UUT Trigger threshold measurement...
  3.010  IEEE         [V MeasFunc]:CRVA?[I$]
  3.011  MATH         MEM = FLD(MEM2, 3, ",") ; MEM = MEM * 1E+3
  3.012  MEMCX        250.0mV        32.0U

  4.001  HEAD         CH[L1] TRIGGER LEVEL: -Slope, DC, +2.5 div. threshold
  4.002  TSET         TDESC = +250 mV, -Slope
  4.003  TARGET       -p
  4.004  IEEE2        C[V @Chan]:TRSL NEG
  4.005  9500         720.0mVpp                    100kH          LS    S  L
  4.006  IEEE2        CLSW
  4.007  WAIT         -t 2 Making UUT Trigger threshold measurement...
  4.008  IEEE         [V MeasFunc]:CRVA?[I$]
  4.009  MATH         MEM = FLD(MEM2, 3, ",") ; MEM = MEM * 1E+3
  4.010  MEMCX        250.0mV        32.0U

  5.001  HEAD         CH[L1] TRIGGER LEVEL: +Slope, DC, -2.5 div. threshold
  5.002  RSLT         =
  5.003  TSET         TDESC = -250 mV, +Slope
  5.004  TARGET       -p
  5.005  IEEE2        C[V @Chan]:TRSL POS;C[V @Chan]:TRLV -0.25V
  5.006  9500         720.0mVpp                    100kH          LS    S  L
  5.007  IEEE2        CLSW
  5.008  WAIT         -t 2 Making UUT Trigger threshold measurement...
  5.009  IEEE         [V MeasFunc]:CRVA?[I$]
  5.010  MATH         MEM = FLD(MEM2, 3, ",") ; MEM = MEM * 1E+3
  5.011  MEMCX        -250.0mV       32.0U

  6.001  HEAD         CH[L1] TRIGGER LEVEL: -Slope, DC, -2.5 div. threshold
  6.002  TSET         TDESC = -250 mV, -Slope
  6.003  TARGET       -p
  6.004  IEEE2        C[V @Chan]:TRSL NEG
  6.005  9500         720.0mVpp                    100kH          LS    S  L
  6.006  IEEE2        CLSW
  6.007  WAIT         -t 2 Making UUT Trigger threshold measurement...
  6.008  IEEE         [V MeasFunc]:CRVA?[I$]
  6.009  MATH         MEM = FLD(MEM2, 3, ",") ; MEM = MEM * 1E+3
  6.010  MEMCX        -250.0mV       32.0U

  7.001  9500         *                                                 S
  7.002  IEEE2        *RST
# Turn TUR checking back on
  7.003  ASK+                              U
  7.004  END
